routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ChildrenController;
use App\Http\Controllers\UserManagementController;
use App\Http\Controllers\GroupLearnersController;
use App\Http\Controllers\PersonController;
use App\Http\Controllers\ParentController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::view('/', 'welcome', ["message" => "Hello!"]);

Route::middleware(['auth'])->group(function () {
    Route::prefix('profile')->group(
        function () {
            Route::get('/', [UserController::class, 'profile'])->name('profile');
            Route::post('/update', [UserController::class, 'update'])->name('profile.update');
        }
    );

    Route::resource('persons', PersonController::class);
    Route::resource('children', ChildrenController::class);
    Route::resource('parents', ParentController::class);
});

Route::middleware(['auth', 'admin.check'])->group(function () {
    Route::prefix('management')->group(
        function () {
            Route::resource('users', UserManagementController::class);
        }
    );
});

Route::middleware(['auth', 'employee.check'])->group(function () {
    Route::prefix('management')->group(
        function () {
            Route::resource('groupslearners', GroupLearnersController::class);
        }
    );
});

Auth::routes();


require __DIR__.'/auth.php';

app/Models/Family.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Person;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\SoftDeletes;

class Family extends Model
{
    use HasFactory;
    use SoftDeletes;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'family';

    protected $fillable = ['name'];

    public function persons()
    {
        return $this->hasMany(Person::class, 'family_id', 'id');
    }

    public function getCreatedAtAttribute($value)
    {
        return Carbon::parse($value)->format("Y-m-d");
    }
}

resources/views/management_user/create.blade.php
@extends('adminlte::page')

@section('content')
    <form method="POST" action="{{ route('users.store') }}">
        @csrf
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                        <h3 class="card-title">Create new user</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                                    title="Collapse">
                                <i class="fas fa-minus"></i></button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="inputName">Name</label>
                            <input type="text" name="name" id="inputName" class="form-control @error('name') is-invalid @enderror" value="{{old('name')}}">
                            @error('name')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Mobile phone</label>
                            <input type="string" name="mobile_phone" id="mobile_phone" class="form-control @error('mobile_phone') is-invalid @enderror" value="{{old('mobile_phone') }}">
                            @error('mobile_phone')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Email</label>
                            <input type="email" name="email" id="email" class="form-control @error('email') is-invalid @enderror" value="{{old('email') }}">
                            @error('email')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="inputStatus">Roles</label>
                            <select name="user_role" class="form-control custom-select @error('user_role') is-invalid @enderror">
                                <option value="">Select role</option>
                                @foreach($user_roles as $user_role)
                                    <option @if(old('user_role') && $user_role->role == old('user_role'))
                                                selected
                                            @endif
                                            value="{{ $user_role->role }}">{{ $user_role->role }}</option>
                                @endforeach
                            </select>
                            @error('user_role')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" name="password" id="password" class="form-control @error('password') is-invalid @enderror" value="">
                            @error('password')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="password">Confirm Password</label>
                            <input type="password" name="password_confirmation" id="password_confirmation" class="form-control @error('password_confirmation') is-invalid @enderror" value="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <a href="#" class="btn btn-secondary">Cancel</a>
                <input type="submit" value="Create" class="btn btn-success float-right">
            </div>
        </div>
    </form>
@stop

@section('js')
@stop

resources/views/management_user/edit.blade.php
@extends('adminlte::page')

@section('content')
    <form method="POST" action="{{ route('users.update', ["user" => $user->id]) }}">
        @method('PUT')
        @csrf
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                        <h3 class="card-title">Users Data</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                                    title="Collapse">
                                <i class="fas fa-minus"></i></button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="inputName">Name</label>
                            <input type="text" name="name" id="inputName" class="form-control @error('name') is-invalid @enderror" value="{{old('name') ?? $user->name }}">
                            @error('name')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Mobile Phone</label>
                            <input type="string" name="mobile_phone" id="mobile_phone" class="form-control @error('mobile_phone') is-invalid @enderror" value="{{old('mobile_phone') ?? $user->mobile_phone }}">
                            @error('mobile_phone')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <script>
                            $('#mobile_phone').mask('(999)-999-99-99')
                        </script>
                        <div class="form-group">
                            <label for="price">Email</label>
                            <input type="email" name="email" id="email" class="form-control @error('email') is-invalid @enderror" value="{{old('email') ?? $user->email }}">
                            @error('email')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="inputStatus">Role</label>
                            <select name="user_role_id" class="form-control custom-select @error('user_role') is-invalid @enderror">
                                <option value="" disabled>Select Role</option>
                                @foreach($user_roles as $user_role)
                                    <option @if(old('user_role') && $user_role->id == old('user_role'))
                                                selected
                                            @elseif( empty(old('user_role')) )
{{--                                           && $user_role->id === $user->UserRole->id--}}
                                                selected
                                            @endif
                                            value="{{ $user_role->id }}">{{ $user_role->role }}</option>
                                @endforeach
                            </select>
                            @error('user_role')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <a href="#" class="btn btn-secondary">Cancel</a>
                <input type="submit" value="Save Changes" class="btn btn-success float-right">
            </div>
        </div>
    </form>
@stop

@section('js')
@stop

resources/views/management_user/index.blade.php
@extends('adminlte::page')

@section('content')
    <div class="row">
        @include('partials.alerts')
        <table id="users" class="table table-bordered table-hover dataTable" role="grid"
               aria-describedby="example2_info">
            <thead>
            <tr role="row">
                <th class="sorting_asc" tabindex="0" aria-controls="example2" rowspan="1" colspan="1"
                    aria-sort="ascending">Name
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Mobile phone
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Email
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Surname Person
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Role
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Actions
                </th>
            </tr>
            </thead>
            <tbody>
            @foreach($users as $user)
            <tr role="row">
                <td>{{ $user->name }}</td>
                <td>{{ $user->mobile_phone }}</td>
                <td>{{ $user->email }}</td>
                <td>@isset($user->person) {{ $user->person->surname }} @endisset</td>
                <td>@isset($user->UserRole) {{ $user->UserRole->role }} @endisset</td>
                <td>
                    <table>
                        <a class="btn btn-primary btn-sm" href="{{ route('users.show', ["user" => $user->id]) }}">
                            <i class="far fa-eye">
                            </i>
                        </a>&ensp;
                        <a class="btn btn-info btn-sm" href="{{ route('users.edit', ["user" => $user->id]) }}">
                            <i class="fas fa-pencil-alt">
                            </i>
                        </a>&ensp;
                        <form method="POST" action="{{ route('users.destroy', ["user" => $user->id]) }}">
                            @method('DELETE')
                            @csrf
                            <button type="submit" class="btn btn-danger btn-sm">
                                <i class="fas fa-trash">
                                </i>
                            </button>
                        </form>
                    </table>
                </td>
            </tr>
            @endforeach
            </tbody>
            <tfoot>
        </table>
    </div>
@stop

@section('js')
    <script>
        $(function () {
            $('#users').DataTable({
                "paging":       true,
                "lengthChange": false,
                "searching":    true,
                "ordering":     true,
                "info":         true,
                "autoWidth":    false,
                "language": {
                    "infoFiltered":   "(Відфільтровано _MAX_ записів)",
                    "zeroRecords":    "Записів не знайдено",
                    "info": "Показано з _START_ по _END_ записів з _TOTAL_",
                    "lengthMenu": "Показувати _MENU_ записів на сторінці",
                    "infoEmpty": "Немає записів.",
                    "search": "Пошук:",
                    "paginate": {
                        "first": "Перша",
                        "previous": "&laquo; Назад",
                        "last": "Остання",
                        "next": "Далі &raquo;"
                    }
                },
            });
        });
    </script>
@stop

resources/views/management_user/show.blade.php
@extends('adminlte::page')

@section('content')
    <div class="row">
        @include('partials.alerts')
        <div class="col-md-12">
        <div class="card">
            <div class="card-body box-profile">

                <h3 class="profile-username text-center">#{{ $user->id }} {{ $user->name }}</h3>

                <p class="text-muted text-center">{{ $user->email }}</p>

                <p class="text-muted text-center">{{ $user->mobile_phone }}</p>

                <ul class="list-group list-group-unbordered mb-3">
                    <li class="list-group-item">
                        <b>Person</b> <a class="float-right">@isset($user->person) {{ $user->person->surname }} @endisset</a>
                    </li>
                    <li class="list-group-item">
                        <b>Creation Date</b> <a class="float-right">{{$user->created_at}}</a>
                    </li>
                    <li class="list-group-item">
                        <b>Email Verified</b> <a class="float-right">{{$user->email_verified_at}}</a>
                    </li>
                </ul>

                <a href="{{route('users.edit', ["user" => $user->id])}}" class="btn btn-primary btn-block"><b>Edit</b></a>
            </div>
        </div>
        </div>
    </div>
@stop

@section('js')
@stop